services:
    admin.enseignant:
        class: App\Admin\EnseignantAdmin
        arguments: [~, App\Entity\User, App\Controller\Admin\EnseignantAdminController]
        calls:
            - [setTemplate, ['edit', 'admin/Enseignant/edit.html.twig']]
        tags:
            - { name: sonata.admin, manager_type: orm, group: enseignant, label: Enseignants }
        public: true

    admin.enseignant_annee_scolaire:
        class: App\Admin\EnseignantAnneeScolaireAdmin
        arguments: [~, App\Entity\EnseignantAnneeScolaire, ~]
        tags:
            - { name: sonata.admin, manager_type: orm, group: enseignant, label: EnseignantAnneeScolaire }
        public: true
